/**
* This component is for file transfers from web to local
*/
var AppFile = {
    getFilename: function(filename) {
        return cordova.file.dataDirectory+filename;
    },
    removeFile: function() {
    },
    download: function(src, filename, overwrite, success, failure) {
        var o = this;
        var fileUrl = this.getFilename(filename);
        if(overwrite == true) {
            window.resolveLocalFileSystemURL(
                fileUrl,
                function(e) {
                   e.remove(function() {
                        o.getFile(src, fileUrl, success, failure);
                   }, function() {
                        failure();
                   });
                },
                function(e) {
                    o.getFile(src, fileUrl, success, failure);
                });
        } else {
            window.resolveLocalFileSystemURL(
                fileUrl,
                function(e) {
                    success(e);
                },
                function(e) {
                    o.getFile(src, fileUrl, success, failure);
                });
        }

    },
    getFile: function(src, fileUrl, success, failure) {
        var uri = encodeURI(src);
        var fileTransfer = new FileTransfer();
        fileTransfer.download(
            uri,
            fileUrl,
            function(entry) {
                //update url() into css files
                var fileType = fileUrl.split('.').pop();
                success(entry);
            },
            function(error) {
                failure();
            },
            true
        );
    }
};
